DaemonForums  

Go Back   DaemonForums > NetBSD > NetBSD Package System (pkgsrc)

NetBSD Package System (pkgsrc) Installation and upgrading of packages on NetBSD.

Reply
 
Thread Tools Display Modes
  #1   (View Single Post)  
Old 1st June 2016
philo_neo71 philo_neo71 is offline
Package Pilot
 
Join Date: Jul 2009
Posts: 181
Default libreoffice issue

Hi,
like back thread, i've Raspberry PI3, NetBSD 7.0 and pkgsrc-2016Q1.
when i want to compile /usr/pkgsrc/misc/libreoffice i have issue !
this is my output :
Code:
ipptool.c: In function 'do_tests':
ipptool.c:872:43: warning: conversion to 'int' from '__uint32_t' may change the sign of the result [-Wsign-conversion]
   request_id = (CUPS_RAND() % 1000) * 137 + 1;
                                           ^
ipptool.c:1393:46: warning: conversion to 'int' from '__uint32_t' may change the sign of the result [-Wsign-conversion]
      request_id = (CUPS_RAND() % 1000) * 137 + 1;
                                              ^
libtool: compile:  gcc -Wall -Wno-format-y2k -Wunused -fPIC -Os -g -fstack-protector -Wno-unused-result -Wsign-conversion -Wno-tautological-compare -I.. -D_CUPS_SOURCE -I/usr/pkgsrc/print/cups/work.earmv6hf/.buildlink/include -DPNG_NO_ASSEMBLER_CODE -I/usr/include/krb5 -O2 -I/usr/pkgsrc/print/cups/work.earmv6hf/.buildlink/include/libusb-1.0 -I/usr/pkgsrc/print/cups/work.earmv6hf/.buildlink/include/dbus-1.0 -I/usr/pkgsrc/print/cups/work.earmv6hf/.buildlink/lib/dbus-1.0/include -DDBUS_API_SUBJECT_TO_CHANGE -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_THREAD_SAFE -D_REENTRANT -c ippserver.c -o ippserver.o >/dev/null 2>&1
ipptool.c: At top level:
cc1: warning: unrecognized command line option "-Wno-tautological-compare" [enabled by default]
libtool: compile:  gcc -Wall -Wno-format-y2k -Wunused -fPIC -Os -g -fstack-protector -Wno-unused-result -Wsign-conversion -Wno-tautological-compare -I.. -D_CUPS_SOURCE -I/usr/pkgsrc/print/cups/work.earmv6hf/.buildlink/include -DPNG_NO_ASSEMBLER_CODE -I/usr/include/krb5 -O2 -I/usr/pkgsrc/print/cups/work.earmv6hf/.buildlink/include/libusb-1.0 -I/usr/pkgsrc/print/cups/work.earmv6hf/.buildlink/include/dbus-1.0 -I/usr/pkgsrc/print/cups/work.earmv6hf/.buildlink/lib/dbus-1.0/include -DDBUS_API_SUBJECT_TO_CHANGE -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_THREAD_SAFE -D_REENTRANT -c ipptool.c -o ipptool.o >/dev/null 2>&1
Linking ippserver...
libtool: link: gcc -Wl,-R/usr/pkg/lib -fPIE -pie -Wall -Wno-format-y2k -Wunused -fPIC -Os -g -fstack-protector -Wno-unused-result -Wsign-conversion -Wno-tautological-compare -o ippserver ippserver.o  -L../cgi-bin -L../cups -L../filter -L../ppdc -L../scheduler -L/usr/pkgsrc/print/cups/work.earmv6hf/.buildlink/lib ../cups/libcups.a -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -ldns_sd -lpthread -lm -lcrypt -lz
ld: cannot find -lgssapi_krb5
ld: cannot find -lk5crypto
Makefile:232: recipe for target 'ippserver' failed
gmake[1]: *** [ippserver] Error 1
gmake[1]: *** Waiting for unfinished jobs....
Makefile:31: recipe for target 'all' failed
gmake: *** [all] Error 1
*** Error code 2

Stop.
make[7]: stopped in /usr/pkgsrc/print/cups
*** Error code 1

Stop.
make[6]: stopped in /usr/pkgsrc/print/cups
*** Error code 1

Stop.
make[5]: stopped in /usr/pkgsrc/print/cups
*** Error code 1

Stop.
make[4]: stopped in /usr/pkgsrc/lang/openjdk8
*** Error code 1

Stop.
make[3]: stopped in /usr/pkgsrc/lang/openjdk8
*** Error code 1

Stop.
make[2]: stopped in /usr/pkgsrc/devel/apache-ant
*** Error code 1

Stop.
make[1]: stopped in /usr/pkgsrc/devel/apache-ant
*** Error code 1

Stop.
make: stopped in /usr/pkgsrc/misc/libreoffice
mdc-alpha#


I try to add pkgin in -lgssapi_krb5 and lk5crypto but nothing at all !

can i to do to get arround this issue ?

Regards
philo
Reply With Quote
  #2   (View Single Post)  
Old 2nd June 2016
schnoebe schnoebe is offline
Real Name: Eric Schnoebelen
old timer
 
Join Date: Feb 2016
Location: Plano, TX, US
Posts: 31
Default

Uhm, we've already covered the fixing of a cups build for you in the following thread from last February.

http://daemonforums.org/showthread.php?t=9661
Reply With Quote
  #3   (View Single Post)  
Old 2nd June 2016
philo_neo71 philo_neo71 is offline
Package Pilot
 
Join Date: Jul 2009
Posts: 181
Default

Hi,
Yes i've posted a thread in 3 month ago, but here is to the raspberry 3, but when i compile /usr/pkgsrc/security/mit-krb5/ i have issue not equal to the achitecture i386 or amd64, this is my output of /usr/pkgsrc/security/mit-krb5/ :

Code:
         ^
net-server.c:963:10: note: each undeclared identifier is reported only once for each function it appears in
net-server.c: In function 'recv_from_to':
net-server.c:1211:27: warning: cast increases required alignment of target type [-Wcast-align]
                 pktinfo = (struct in_pktinfo *)CMSG_DATA(cmsgptr);
                           ^
net-server.c:1212:18: warning: cast increases required alignment of target type [-Wcast-align]
                 ((struct sockaddr_in *)to)->sin_addr = pktinfo->ipi_addr;
                  ^
net-server.c:1213:18: warning: cast increases required alignment of target type [-Wcast-align]
                 ((struct sockaddr_in *)to)->sin_family = AF_INET;
                  ^
net-server.c:1224:27: warning: cast increases required alignment of target type [-Wcast-align]
                 pktinfo = (struct in6_pktinfo *)CMSG_DATA(cmsgptr);
                           ^
net-server.c:1225:18: warning: cast increases required alignment of target type [-Wcast-align]
                 ((struct sockaddr_in6 *)to)->sin6_addr = pktinfo->ipi6_addr;
                  ^
net-server.c:1226:18: warning: cast increases required alignment of target type [-Wcast-align]
                 ((struct sockaddr_in6 *)to)->sin6_family = AF_INET6;
                  ^
net-server.c: In function 'send_to_from':
net-server.c:1302:37: warning: cast increases required alignment of target type [-Wcast-align]
             struct in6_pktinfo *p = (struct in6_pktinfo *)CMSG_DATA(cmsgptr);
                                     ^
net-server.c:1304:17: warning: cast increases required alignment of target type [-Wcast-align]
                 (const struct sockaddr_in6 *)from;
                 ^
*** Error code 1

Stop.
make[2]: stopped in /usr/pkgsrc/security/mit-krb5/work.earmv6hf/krb5-1.14.1/src/lib/apputils
*** Error code 1

Stop.
make[1]: stopped in /usr/pkgsrc/security/mit-krb5/work.earmv6hf/krb5-1.14.1/src/lib
*** Error code 1

Stop.
make: stopped in /usr/pkgsrc/security/mit-krb5/work.earmv6hf/krb5-1.14.1/src
*** Error code 1

Stop.
make[1]: stopped in /usr/pkgsrc/security/mit-krb5
*** Error code 1

Stop.
make: stopped in /usr/pkgsrc/security/mit-krb5
mdc-alpha#
i've adding KRB5_DEFAULT=mit-krb5 into mk.conf !
why there are issue into kerberos ( /usr/pkgsrc/security/mit-krb5)

regards
philo
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
LibreOffice 4.1 release J65nko News 0 25th July 2013 11:37 PM
LibreOffice 3.3.2 RC1 arrives J65nko News 0 11th March 2011 10:50 PM
LibreOffice RC2 now available J65nko News 0 28th December 2010 12:46 AM
LibreOffice RC1 arrives J65nko News 0 7th December 2010 12:54 AM
OpenOffice.org out; LibreOffice in TerryP News 0 1st November 2010 09:58 PM


All times are GMT. The time now is 08:48 AM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2017, Jelsoft Enterprises Ltd.
Content copyright © 2007-2010, the authors
Daemon image copyright ©1988, Marshall Kirk McKusick